Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class SuggestionImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.ebusiness.shoppingadvisor.SuggestionImpl

public class SuggestionImpl
extends BelongingImpl
implements Suggestion

See Also:
  `Suggestion`, `SuggestionHome`, Serialized Form

Field Summary
`SmartHandle` | `item` item [Suggestion] <>------> [`theory.smart.ebusiness.item.Item`]
`int` | `matched` matched [Suggestion] <*>------> [`int`]
`int` | `score` score [Suggestion] <*>------> [`int`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`SuggestionImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`Item` | `getItem()` Get the remote object reference of item
`ItemPk` | `getItemKey()`
`int` | `getMatched()` Get the value of matched
`int` | `getScore()` Get the value of score
`int` | `incrementMatched()` Increase the number of matched items by 1 and return the new count.
`int` | `incrementScore(int increment)` Increment the score by the specified value and return the new score.
`void` | `setItem(Item item)` Set the remote object reference of item
`void` | `setItemHandle(SmartHandle handle)`
`void` | `setMatched(int matched)` Set the value of matched
`void` | `setScore(int score)` Set the value of score
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matched

    public int matched

                        matched
       [Suggestion] <*>------> [int]

### score

    public int score

                        score
       [Suggestion] <*>------> [int]

### item

    public SmartHandle item

                        item
       [Suggestion] <>------> [theory.smart.ebusiness.item.Item]

Constructor Detail

### SuggestionImpl

    public SuggestionImpl()

Method Detail

### getMatched

    public int getMatched()

  Get the value of matched
  Specified by:
    getMatched in interface Suggestion
  Returns:
    matched.

### setMatched

    public void setMatched(int matched)

  Set the value of matched
  Specified by:
    setMatched in interface Suggestion
  Parameters:
    `matched` - matched to be added

### getScore

    public int getScore()

  Get the value of score
  Specified by:
    getScore in interface Suggestion
  Returns:
    score.

### setScore

    public void setScore(int score)

  Set the value of score
  Specified by:
    setScore in interface Suggestion
  Parameters:
    `score` - score to be added

### getItem

    public Item getItem()
                 throws java.rmi.RemoteException

  Get the remote object reference of item
  Specified by:
    getItem in interface Suggestion
  Returns:
    item.

### setItem

    public void setItem(Item item)
                 throws java.rmi.RemoteException

  Set the remote object reference of item
  Specified by:
    setItem in interface Suggestion
  Parameters:
    `items` - item to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### getItemKey

    public ItemPk getItemKey()

  Specified by:
    getItemKey in interface Suggestion

### setItemHandle

    public void setItemHandle(SmartHandle handle)

  Specified by:
    setItemHandle in interface Suggestion

### incrementMatched

    public int incrementMatched()

  Increase the number of matched items by 1 and return the new count.
  Specified by:
    incrementMatched in interface Suggestion

### incrementScore

    public int incrementScore(int increment)

  Increment the score by the specified value and return the new score.
  Specified by:
    incrementScore in interface Suggestion

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.